Nodes Don't Register Alpha Channel
Closed, ArchivedPublic


In the Node Editor, there are certain Nodes which do not transfer the alpha data. This effectively prevents you then from using further Nodes beyond them (or makes it very difficult).

For example, if you have Text on one Render Layer and then a regular scene on another Render Layer, and you want the Text to have a black outline, so you set up a "Dilate/Erode" Node beneath....that Node won't register any alpha data, and so you won't be able to overlay it!

I've seen this in MANY Nodes. Attached is a .Blend with a simple scene and just two of the problem Nodes: Lens Distort and Dilate/Erode. This will allow you to quickly confirm the problem. A screencap is also attached.

(In the interim, if there is anybody who can offer any work-arounds, that would be fantastic.)

Blender 2.63a
Windows XP 32-bit

David Brennan (davidbrennan) added a comment.Via Old WorldSep 19 2012, 6:20 AM

(This should be in the compositor category, obviously. Sorry that I forgot to specify that originally.)

Olson Burry (olson) added a comment.Via Old WorldSep 19 2012, 11:32 PM

This appears to work

David Brennan (davidbrennan) added a comment.Via Old WorldSep 19 2012, 11:37 PM

That looks like a great work-around, although hopefully the Bug will be fixed so this won't be necessary and other users won't get aggravated.

Alternately, "JaceP" had a set-up in which you use a pair of "Separate RGBA" Nodes to isolate the colors from the alpha channel originally, but this work-around definitely seems leaner and faster. Thanks!

(I can't escape from your good works, Olson!)

Sergey Sharybin (sergey) added a comment.Via Old WorldSep 25 2012, 2:31 PM

Indeed some nodes are not dealing with alpha as it could be expected. In most cases it's because alpha is not a part of equotion and it's not so obvious which value it should be. Foe\r sure some nodes could be improved to give reasonable alpha, but it's not considered a bug.

Also, value nodes (dilate/erode i.e.) are working on a single channel only. It's how they're designed to work and they can not deal with alpha.

Added notes to

Thanks for the report, but marking as a TODO now.

Sergey Sharybin (sergey) closed this task as "Archived".Via Old WorldSep 25 2012, 2:31 PM
David Brennan (davidbrennan) added a comment.Via Old WorldOct 3 2012, 9:43 PM

Thank you for the information and for considering this so deeply, Sergey. Hopefully, even though this doesn't quite qualify as a "bug", some productive Blender master will be able to amend and refine how some of these Nodes utilize the alpha channel.

Add Comment